# Class MinilinksLink<Ref>

#### Type Parameters

- Ref extends Id

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:114

#####
Index

### Constructors

constructor

### Properties

_applies
_from_id?
_id
_namespaces
_to_id?
_type_id
id
ml?
number?
object?
string?

### Accessors

displayId
from
from_id
in
inByType
name
out
outByType
to
to_id
type
type_id
typed
value

### Methods

is
toPlain

##
Constructors

### constructor

- new MinilinksLink<Ref>(link): MinilinksLink<Ref>

- #### Type Parameters

  - Ref extends Id

  #### Parameters

  - link: any

  #### Returns MinilinksLink<Ref>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:189

##
Properties

### _applies

_applies: string[] = []

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:187

### `Optional`_from_id

_from_id?: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:119

### _id

_id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:116

### _namespaces

_namespaces: string[] = []

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:188

### `Optional`_to_id

_to_id?: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:120

### _type_id

_type_id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:118

### id

id: Ref

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:117

### `Optional` ml

ml?: MinilinkCollection<any, any>

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:115

### `Optional` number

number?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:185

### `Optional` object

object?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:186

### `Optional` string

string?: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:184

##
Accessors

### displayId

- get displayId(): Id

- #### Returns Id

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:175

### from

- get from(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:169

### from_id

- get from_id(): Ref

- #### Returns Ref

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:124
- set from_id(id): void

- #### Parameters

  - id: Ref

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:133

### in

- get in(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:145

### inByType

- get inByType(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:148

### name

- get name(): string

- #### Returns string

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:181

### out

- get out(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:157

### outByType

- get outByType(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:160

### to

- get to(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:172

### to_id

- get to_id(): Ref

- #### Returns Ref

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:127
- set to_id(id): void

- #### Parameters

  - id: Ref

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:136

### type

- get type(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:142

### type_id

- get type_id(): Ref

- #### Returns Ref

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:121
- set type_id(id): void

- #### Parameters

  - id: Ref

  #### Returns void

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:130

### typed

- get typed(): MinilinksLink<Ref>[]

- #### Returns MinilinksLink<Ref>[]

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:139

### value

- get value(): any

- #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:178

##
Methods

### is

- is(query): boolean

- #### Parameters

  - query: QueryLink

  #### Returns boolean

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:211

### toPlain

- toPlain(): LinkPlain<Ref>

- #### Returns LinkPlain<Ref>

  - Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:208